com.verisign.epp.codec.gen

## Class EPPDuplicateExtensionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.verisign.epp.exception.EPPException
      - - com.verisign.epp.codec.gen.EPPCodecException
        - - com.verisign.epp.codec.gen.EPPDuplicateExtensionException

- All Implemented Interfaces:
    java.io.Serializable

      public class EPPDuplicateExtensionException
      extends EPPCodecException

  Exception used to identify that a duplicate extension was found in the list of extensions.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCodecException

      `MISSINGPARAMETER, SAX_EXCEPTION, VALUE_MISSINGPARAMETER, VALUE_SAX_EXCEPTION, VALUE_UNDEFINED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPDuplicateExtensionException(EPPCodecComponent aExtensionClass)` Constructor for EPPComponentNotFoundException that takes an info string.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EPPCodecComponent` | `getExtension()` Get the duplicate extension `Class` found.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCodecException

      `equals, getValue`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPDuplicateExtensionException

          public EPPDuplicateExtensionException(EPPCodecComponent aExtensionClass)

      Constructor for EPPComponentNotFoundException that takes an info string.
      Parameters:
        `aExtensionClass` - Duplicate extension class found

  - ### Method Detail

    - #### getExtension

          public EPPCodecComponent getExtension()

      Get the duplicate extension `Class` found.
      Returns:
        The duplicate `EPPCodecComponent` extension found

Copyright © VeriSign Inc. All Rights Reserved.